# OS_NS_sys_time.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Time_Value.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_sys_time.inl"`

Include dependency graph for OS_NS_sys_time.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | ACE_OS

## Defines

#define | ACE_EXPORT_MACRO ACE_Export
#define | ACE_INLINE inline

## Functions

ACE_NAMESPACE_INLINE_FUNCTION ACE_Time_Value | gettimeofday (void)

## Detailed Description

Id
  OS_NS_sys_time.h,v 1.5 2005/10/28 16:14:54 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_EXPORT_MACRO ACE_Export

#define ACE_INLINE inline

## Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_Time_Value ACE_OS::gettimeofday | ( | void |  | ) |